## osdclock 0.5

=== Makefile ===
#
# Makefile for X-on-screen display
#

PREFIX=/usr/local
EXEC_PREFIX=$(PREFIX)
BINDIR=$(EXEC_PREFIX)/bin
LIBDIR=$(EXEC_PREFIX)/lib
MANDIR=$(PREFIX)/man
INCLUDEDIR=$(PREFIX)/include

CC=gcc
INSTALL=/usr/bin/install -c
INSTALL_DATA=$(INSTALL) -m 644

CFLAGS=-O2 -Wall -pipe -I. -DXOSD_VERSION=\"$(VERSION)\" -I/usr/X11R6/include
LDFLAGS=-L. -L/usr/X11R6/lib -lX11 -lXext -lpthread -lXt

XOSDLIBS=-lxosd

SOURCES=NEWS AUTHORS ChangeLog README COPYING Makefile \
	osd_clock.c osd_clock.1

ARFLAGS=cru

all: osd_clock

%.o: %.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@

%.o.pic: %.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ -fPIC

osd_clock: osd_clock.o
	$(CC) -o $@ osd_clock.o $(LDFLAGS) $(XOSDLIBS)

tar: xosd-$(VERSION).tar.gz

install: all
	$(INSTALL) osd_clock $(BINDIR)
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man3
	$(INSTALL_DATA) osd_clock.1 $(MANDIR)/man1/

clean:
	rm -f *~ *.o *.o.pic osd_clock

.PHONY: all tar clean install
# vim: noexpandtab

=== debian/changelog ===
osdclock (0.5-28) unstable; urgency=medium

  * QA upload.
  * Upload pending changes in experimental, to unstable.
  * Updated Standards-Version to 4.7.2, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Sep 2025 14:48:49 -0700

osdclock (0.5-27) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Ricardo Henrique Pires dos Reis <ricardoreis@alunos.utfpr.edu.br>  Mon, 02 Jun 2025 10:38:27 -0300

osdclock (0.5-26) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Cleaned up debian patches and fixed hardening build.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Jun 2024 13:07:23 +0200

osdclock (0.5-25) unstable; urgency=medium

  * QA upload.
  * Change to dh sequencer.
    - This includes target build-arch and build-indep.  Closes: #999184
    - Makes it possible to cross-build. Closes: #941435
    - Using default Debian CFLAGS when compiling.
  * New patch: Use destdir, create directories and place man-page
    in correct path. This also makes d/manpages and d/install unnecessary.
  * Change to debhelper-compat.
  * Bump debhelper to 13.
  * Document Rules-Requires-Root.
  * Update Standards-Version to 4.6.0
  * d/copyright:
    - Update to be DEP5 compliant.
    - Add year to upstream copyright holder.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 20 Dec 2021 09:30:14 +0100

osdclock (0.5-24) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #866940)
  * Apply patch from Jari Aalto: (Closes: #664384)
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Adrian Bunk <bunk@debian.org>  Sat, 08 Jul 2017 14:36:56 +0300

osdclock (0.5-23) unstable; urgency=low

  * New package maintainer (closes: #483810).
  * Standards-Version updated to 3.8.1

 -- Alexandre De Dommelin <adedommelin@tuxz.net>  Sat, 13 Jun 2009 15:53:05 +0200

osdclock (0.5-22) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 09:52:00 +0200

osdclock (0.5-21) unstable; urgency=low

  * Updated to debhelper 7.
  * Rewriting copyright file in machine-interpretable format.
  * Reordering rules file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 May 2008 11:36:00 +0200

osdclock (0.5-20) unstable; urgency=low

  * Bumped to new policy.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 16:54:00 +0100

osdclock (0.5-19) unstable; urgency=low

  * Adjusted manpage section.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 May 2007 15:05:00 +0200

osdclock (0.5-18) unstable; urgency=low

  * New maintainer (Closes: #416960, #416983).
  * Redone debian directory based on current debhelper templates.

 -- Daniel Baumann <daniel@debian.org>  Sun,  1 Apr 2007 09:10:00 +0200

osdclock (0.5-17) unstable; urgency=low

  * Orphan package

 -- Julien Lemoine <speedblue@debian.org>  Sat, 31 Mar 2007 20:19:51 +0200

osdclock (0.5-16) unstable; urgency=low

  * Converted Debian changelog in utf-8
    (it was containing an iso-8859-1 character)
    (Closes: #375148)

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 11:33:50 +0200

osdclock (0.5-15) unstable; urgency=low

  * Applied patch from Justin B Rye <jbr@edlug.org.uk> to fix problem
    with man page filename (Closes: #37514)

 -- Julien Lemoine <speedblue@debian.org>  Wed, 28 Jun 2006 21:53:30 +0200

osdclock (0.5-14) unstable; urgency=low

  * Applied patch from Nicolas Salles <salles@crans.ens-cachan.fr> to add
    locale definition in osdclock (Closes: #352739)

 -- Julien Lemoine <speedblue@debian.org>  Mon,  5 Jun 2006 11:56:10 +0200

osdclock (0.5-13) unstable; urgency=low

  * Fixed build failuer (added missing build depends)
    (Closes: #347212)

 -- Julien Lemoine <speedblue@debian.org>  Mon,  9 Jan 2006 15:06:57 +0100

osdclock (0.5-12) unstable; urgency=low

  * Fix x.org transition bug (xlibs-dev removal)
    (Closes: #346903)

 -- Julien Lemoine <speedblue@debian.org>  Mon,  9 Jan 2006 09:31:05 +0100

osdclock (0.5-11) unstable; urgency=low

  * Applied patch from Stephan Windmüller <windy@white-hawk.de>
    Introduces two new options :
    -r locate clock at right side (default: left)
    -w Seconds to wait before first display (default: 0)
    (Closes: 273866)

 -- Julien Lemoine <speedblue@debian.org>  Wed, 29 Sep 2004 20:42:24 +0200

osdclock (0.5-10) unstable; urgency=low

  * Fix default-font for non-ISO8859-1 locales. (closes: #212705)
    Thanks to Philipp Matthias Hahn <pmhahn@debian.org>

 -- Julien Lemoine <speedblue@debian.org>  Tue, 30 Sep 2003 13:54:04 +0200

osdclock (0.5-9) unstable; urgency=low

  * Fixed typos (Closes: #211231)
  * Updated to debian policy 3.6.1

 -- Julien Lemoine <speedblue@debian.org>  Tue, 16 Sep 2003 19:23:01 +0200

osdclock (0.5-8) unstable; urgency=low

  * Rebuild using the new xosd package (2.2.2-2) to fix link errors on S390

 -- Julien Lemoine <speedblue@debian.org>  Wed,  2 Jul 2003 12:32:25 +0200

osdclock (0.5-7) unstable; urgency=low

  * Added -lXinerama to fix undefined references on s390
  * Added build depends on xlibx-dev
  * Updated to debian policy 3.5.10

 -- Julien Lemoine <speedblue@debian.org>  Fri,  6 Jun 2003 17:10:28 +0200

osdclock (0.5-6) unstable; urgency=low

  * Fixed typo in man page (Closes: #194704)
  * Build against latest libxosd
  * Updated to debian policy 3.5.9

 -- Julien Lemoine <speedblue@debian.org>  Tue, 27 May 2003 02:27:27 +0200

osdclock (0.5-5) unstable; urgency=low



=== debian/control ===
Source: osdclock
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxinerama-dev,
               libxosd-dev,
               libxt-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/osdclock
Vcs-Git: https://salsa.debian.org/debian/osdclock.git

Package: osdclock
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Clock using the XOSD library
 A clock which uses the X On-Screen Display library to display itself.
 .
 It supports a strftime(3)-style format parameter and can be configured to show
 up only at specific intervals.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

prefix=/usr

%:
	dh $@

override_dh_auto_build:
	dh_auto_build

# Package does not have any tests.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- PREFIX="$(prefix)"

=== debian/tests/control ===
Test-Command: osd_clock -h | grep '^USAGE: '
Restrictions: superficial
